Add learning path unit
Method
| Method |
Description |
| learningpath.unitAdd |
Add an assessment or a course to the end of a learning path. |
Request parameters
{
"learning_path_id": {LearningPathId},
"exam_id": {ExamId},
"course_id": {CourseId}
}
Response parameters
{
"unit": {
"order": {Order},
"exam_id": {ExamId},
"course_id": {CourseId},
...
},
"completed": {Completed}
}
Please provide exactly one of exam_id or course_id. The assessment or course must belong to your account, and it can be included into the same learning path only once. A unit can be added before it is marked as ready.
| Variable |
Type |
Appearance |
Description |
| {LearningPathId} |
Integer |
Mandatory |
Learning path id. |
| {ExamId} |
Integer |
Optional |
Assessment id. Provide this OR {CourseId}, not both. |
| {CourseId} |
Integer |
Optional |
Course id. Provide this OR {ExamId}, not both. |
| unit |
Object |
Mandatory |
The added unit. Only present when {Completed} is true. See unit list for all fields. |
| {Completed} |
Boolean |
Mandatory |
Indicates whether action was successfully completed or not. |